Skip to main content
Fetch the customer channel token, then send the message with the request body for that channel type. Use the HookMyApp channel ID (ch_...) when you fetch the token. Then send through the gateway endpoint:
  • POST /meta/v22.0/{PHONE_NUMBER_ID}/messages for WhatsApp
  • POST /meta/v25.0/{INSTAGRAM_ACCOUNT_ID}/messages for Instagram
For WhatsApp, use to for the recipient phone number in international format. For Instagram, use the inbound sender.id as the outbound recipient.id. Supported customer-channel sends:
  • WhatsApp text, media, location, contacts, interactive messages, templates, and reactions
  • Instagram text, media, quick replies, cards, reactions, and sender actions

Authentication

Use an hmok_ org API key to fetch the channel token:
Use the returned hmat_ channel token to send the message. Do not use an hmok_ API key for the send call.

Provider endpoints

Use the provider-specific API page when you want the interactive request builder:

WhatsApp example

Successful WhatsApp sends return Meta’s message identifier:

Instagram example

Next steps